Index: /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm
===================================================================
--- /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50158)
+++ /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50159)
@@ -3007,8 +3037,8 @@
     mov al, byte [bp-008h]                    ; 8a 46 f8
     cmp AL, strict byte 00ch                  ; 3c 0c
-    jnc short 028bfh                          ; 73 06
+    jnc short 028d4h                          ; 73 06
     mov byte [bp-008h], 00ch                  ; c6 46 f8 0c
-    jmp short 028c5h                          ; eb 06
-    jbe short 028c5h                          ; 76 04
+    jmp short 028dah                          ; eb 06
+    jbe short 028dah                          ; 76 04
     mov byte [bp-008h], 010h                  ; c6 46 f8 10
     shr byte [bp-008h], 1                     ; d0 6e f8
@@ -3023,7 +3053,7 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 080h                 ; a8 80
-    je short 028edh                           ; 74 06
+    je short 02902h                           ; 74 06
     mov dx, strict word 00002h                ; ba 02 00
-    jmp near 02b07h                           ; e9 1a 02
+    jmp near 02b1ch                           ; e9 1a 02
     mov dx, word [bp-010h]                    ; 8b 56 f0
     add dx, strict byte 00006h                ; 83 c2 06
@@ -3037,7 +3067,7 @@
     out DX, AL                                ; ee
     cmp byte [bp-006h], 000h                  ; 80 7e fa 00
-    je short 0290dh                           ; 74 05
+    je short 02922h                           ; 74 05
     mov ax, 000b0h                            ; b8 b0 00
-    jmp short 02910h                          ; eb 03
+    jmp short 02925h                          ; eb 03
     mov ax, 000a0h                            ; b8 a0 00
     lea dx, [bx+006h]                         ; 8d 57 06
@@ -3052,7 +3082,7 @@
     mov dl, al                                ; 88 c2
     test AL, strict byte 080h                 ; a8 80
-    jne short 0291ah                          ; 75 f4
+    jne short 0292fh                          ; 75 f4
     test AL, strict byte 001h                 ; a8 01
-    je short 02939h                           ; 74 0f
+    je short 0294eh                           ; 74 0f
     mov dx, word [bp-010h]                    ; 8b 56 f0
     add dx, strict byte 00006h                ; 83 c2 06
@@ -3060,7 +3090,7 @@
     out DX, AL                                ; ee
     mov dx, strict word 00003h                ; ba 03 00
-    jmp near 02b07h                           ; e9 ce 01
+    jmp near 02b1ch                           ; e9 ce 01
     test dl, 008h                             ; f6 c2 08
-    jne short 0294dh                          ; 75 0f
+    jne short 02962h                          ; 75 0f
     mov dx, word [bp-010h]                    ; 8b 56 f0
     add dx, strict byte 00006h                ; 83 c2 06
@@ -3068,5 +3098,5 @@
     out DX, AL                                ; ee
     mov dx, strict word 00004h                ; ba 04 00
-    jmp near 02b07h                           ; e9 ba 01
+    jmp near 02b1ch                           ; e9 ba 01
     sti                                       ; fb
     mov ax, di                                ; 89 f8
@@ -3081,5 +3111,5 @@
     ; rep es outsw                              ; f3 26 6f
     cmp byte [bp+00ah], 000h                  ; 80 7e 0a 00
-    jne short 02976h                          ; 75 0b
+    jne short 0298bh                          ; 75 0b
     lea dx, [bx+007h]                         ; 8d 57 07
     in AL, DX                                 ; ec
@@ -3087,5 +3117,5 @@
     ; sub ah, ah                                ; 2a e4
     mov dl, al                                ; 88 c2
-    jmp near 02ae8h                           ; e9 72 01
+    jmp near 02afdh                           ; e9 72 01
     lea dx, [bx+007h]                         ; 8d 57 07
     in AL, DX                                 ; ec
@@ -3094,23 +3124,23 @@
     mov dl, al                                ; 88 c2
     test AL, strict byte 080h                 ; a8 80
-    jne short 02976h                          ; 75 f4
+    jne short 0298bh                          ; 75 f4
     test AL, strict byte 088h                 ; a8 88
-    je near 02ae8h                            ; 0f 84 60 01
+    je near 02afdh                            ; 0f 84 60 01
     test AL, strict byte 001h                 ; a8 01
-    je short 02997h                           ; 74 0b
+    je short 029ach                           ; 74 0b
     mov dx, word [bp-010h]                    ; 8b 56 f0
     add dx, strict byte 00006h                ; 83 c2 06
     mov AL, strict byte 008h                  ; b0 08
     out DX, AL                                ; ee
-    jmp short 02933h                          ; eb 9c
+    jmp short 02948h                          ; eb 9c
     mov al, dl                                ; 88 d0
     and AL, strict byte 0c9h                  ; 24 c9
     cmp AL, strict byte 048h                  ; 3c 48
-    je short 029aah                           ; 74 0b
+    je short 029bfh                           ; 74 0b
     mov dx, word [bp-010h]                    ; 8b 56 f0
     add dx, strict byte 00006h                ; 83 c2 06
     mov AL, strict byte 008h                  ; b0 08
     out DX, AL                                ; ee
-    jmp short 02947h                          ; eb 9d
+    jmp short 0295ch                          ; eb 9d
     mov ax, word [bp+00ch]                    ; 8b 46 0c
     shr ax, 004h                              ; c1 e8 04
@@ -3135,10 +3165,10 @@
     mov ax, word [bp+004h]                    ; 8b 46 04
     cmp ax, cx                                ; 39 c8
-    jbe short 029eah                          ; 76 0c
+    jbe short 029ffh                          ; 76 0c
     mov ax, cx                                ; 89 c8
     sub word [bp+004h], cx                    ; 29 4e 04
     xor ax, cx                                ; 31 c8
     mov word [bp-014h], ax                    ; 89 46 ec
-    jmp short 029f4h                          ; eb 0a
+    jmp short 02a09h                          ; eb 0a
     mov cx, ax                                ; 89 c1
     mov word [bp+004h], strict word 00000h    ; c7 46 04 00 00
@@ -3146,8 +3176,8 @@
     xor ax, ax                                ; 31 c0
     cmp word [bp+008h], strict byte 00000h    ; 83 7e 08 00
-    jne short 02a1dh                          ; 75 21
+    jne short 02a32h                          ; 75 21
     mov dx, word [bp-014h]                    ; 8b 56 ec
     cmp dx, word [bp+006h]                    ; 3b 56 06
-    jbe short 02a1dh                          ; 76 19
+    jbe short 02a32h                          ; 76 19
     mov ax, word [bp-014h]                    ; 8b 46 ec
     sub ax, word [bp+006h]                    ; 2b 46 06
@@ -3158,5 +3188,5 @@
     mov word [bp+006h], ax                    ; 89 46 06
     mov word [bp+008h], ax                    ; 89 46 08
-    jmp short 02a29h                          ; eb 0c
+    jmp short 02a3eh                          ; eb 0c
     mov word [bp-00ch], ax                    ; 89 46 f4
     mov dx, word [bp-014h]                    ; 8b 56 ec
@@ -3166,37 +3196,37 @@
     mov al, byte [bp-00ah]                    ; 8a 46 f6
     test cl, 003h                             ; f6 c1 03
-    je short 02a36h                           ; 74 02
+    je short 02a4bh                           ; 74 02
     xor al, al                                ; 30 c0
     test byte [bp-014h], 003h                 ; f6 46 ec 03
-    je short 02a3eh                           ; 74 02
+    je short 02a53h                           ; 74 02
     xor al, al                                ; 30 c0
     test byte [bp-00ch], 003h                 ; f6 46 f4 03
-    je short 02a46h                           ; 74 02
+    je short 02a5bh                           ; 74 02
     xor al, al                                ; 30 c0
     test byte [bp-014h], 001h                 ; f6 46 ec 01
-    je short 02a5eh                           ; 74 12
+    je short 02a73h                           ; 74 12
     inc word [bp-014h]                        ; ff 46 ec
     cmp word [bp-00ch], strict byte 00000h    ; 83 7e f4 00
-    jbe short 02a5eh                          ; 76 09
+    jbe short 02a73h                          ; 76 09
     test byte [bp-00ch], 001h                 ; f6 46 f4 01
-    je short 02a5eh                           ; 74 03
+    je short 02a73h                           ; 74 03
     dec word [bp-00ch]                        ; ff 4e f4
     cmp AL, strict byte 001h                  ; 3c 01
-    jne short 02a6fh                          ; 75 0d
+    jne short 02a84h                          ; 75 0d
     shr word [bp-014h], 002h                  ; c1 6e ec 02
     shr cx, 002h                              ; c1 e9 02
     shr word [bp-00ch], 002h                  ; c1 6e f4 02
-    jmp short 02a77h                          ; eb 08
+    jmp short 02a8ch                          ; eb 08
     shr word [bp-014h], 1                     ; d1 6e ec
     shr cx, 1                                 ; d1 e9
     shr word [bp-00ch], 1                     ; d1 6e f4
     cmp AL, strict byte 001h                  ; 3c 01
-    jne short 02aa7h                          ; 75 2c
+    jne short 02abch                          ; 75 2c
     test cx, cx                               ; 85 c9
-    je short 02a89h                           ; 74 0a
+    je short 02a9eh                           ; 74 0a
     mov dx, bx                                ; 89 da
     push eax                                  ; 66 50
     in eax, DX                                ; 66 ed
-    loop 02a83h                               ; e2 fc
+    loop 02a98h                               ; e2 fc
     pop eax                                   ; 66 58
     mov dx, bx                                ; 89 da
@@ -3207,16 +3237,16 @@
     mov ax, word [bp-00ch]                    ; 8b 46 f4
     test ax, ax                               ; 85 c0
-    je short 02ac6h                           ; 74 2b
+    je short 02adbh                           ; 74 2b
     mov cx, ax                                ; 89 c1
     push eax                                  ; 66 50
     in eax, DX                                ; 66 ed
-    loop 02a9fh                               ; e2 fc
+    loop 02ab4h                               ; e2 fc
     pop eax                                   ; 66 58
-    jmp short 02ac6h                          ; eb 1f
+    jmp short 02adbh                          ; eb 1f
     test cx, cx                               ; 85 c9
-    je short 02ab0h                           ; 74 05
+    je short 02ac5h                           ; 74 05
     mov dx, bx                                ; 89 da
     in ax, DX                                 ; ed
-    loop 02aadh                               ; e2 fd
+    loop 02ac2h                               ; e2 fd
     mov dx, bx                                ; 89 da
     mov cx, word [bp-014h]                    ; 8b 4e ec
@@ -3225,8 +3255,8 @@
     mov ax, word [bp-00ch]                    ; 8b 46 f4
     test ax, ax                               ; 85 c0
-    je short 02ac6h                           ; 74 05
+    je short 02adbh                           ; 74 05
     mov cx, ax                                ; 89 c1
     in ax, DX                                 ; ed
-    loop 02ac3h                               ; e2 fd
+    loop 02ad8h                               ; e2 fd
     add word [bp+00ch], si                    ; 01 76 0c
     xor ax, ax                                ; 31 c0
@@ -3239,14 +3269,14 @@
     mov ax, word [bp-016h]                    ; 8b 46 ea
     mov word [es:si+018h], ax                 ; 26 89 44 18
-    jmp near 02976h                           ; e9 8e fe
+    jmp near 0298bh                           ; e9 8e fe
     mov al, dl                                ; 88 d0
     and AL, strict byte 0e9h                  ; 24 e9
     cmp AL, strict byte 040h                  ; 3c 40
-    je short 02afch                           ; 74 0c
+    je short 02b11h                           ; 74 0c
     mov dx, word [bp-010h]                    ; 8b 56 f0
     add dx, strict byte 00006h                ; 83 c2 06
     mov AL, strict byte 008h                  ; b0 08
     out DX, AL                                ; ee
-    jmp near 02947h                           ; e9 4b fe
+    jmp near 0295ch                           ; e9 4b fe
     mov dx, word [bp-010h]                    ; 8b 56 f0
     add dx, strict byte 00006h                ; 83 c2 06
@@ -3260,5 +3290,5 @@
     pop bp                                    ; 5d
     retn 0000ch                               ; c2 0c 00
-ata_soft_reset_:                             ; 0xf2b12 LB 0x80
+ata_soft_reset_:                             ; 0xf2b27 LB 0x80
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -3270,5 +3300,5 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 f8 ea
+    call 0161ch                               ; e8 e3 ea
     mov dx, bx                                ; 89 da
     shr dx, 1                                 ; d1 ea
@@ -3285,7 +3315,7 @@
     out DX, AL                                ; ee
     cmp byte [bp-008h], 000h                  ; 80 7e f8 00
-    je short 02b54h                           ; 74 05
+    je short 02b69h                           ; 74 05
     mov ax, 000b0h                            ; b8 b0 00
-    jmp short 02b57h                          ; eb 03
+    jmp short 02b6ch                          ; eb 03
     mov ax, 000a0h                            ; b8 a0 00
     mov dx, cx                                ; 89 ca
@@ -3302,13 +3332,13 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 080h                 ; a8 80
-    jne short 02b65h                          ; 75 f4
+    jne short 02b7ah                          ; 75 f4
     and AL, strict byte 0e9h                  ; 24 e9
     cmp AL, strict byte 040h                  ; 3c 40
-    je short 02b82h                           ; 74 0b
+    je short 02b97h                           ; 74 0b
     lea dx, [bx+006h]                         ; 8d 57 06
     mov AL, strict byte 008h                  ; b0 08
     out DX, AL                                ; ee
     mov ax, strict word 00001h                ; b8 01 00
-    jmp short 02b8ah                          ; eb 08
+    jmp short 02b9fh                          ; eb 08
     lea dx, [bx+006h]                         ; 8d 57 06
     mov AL, strict byte 008h                  ; b0 08
@@ -3321,5 +3351,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-set_diskette_ret_status_:                    ; 0xf2b92 LB 0x18
+set_diskette_ret_status_:                    ; 0xf2ba7 LB 0x18
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -3329,5 +3359,5 @@
     mov dx, strict word 00041h                ; ba 41 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 6b ea
+    call 0160eh                               ; e8 56 ea
     lea sp, [bp-004h]                         ; 8d 66 fc
     pop dx                                    ; 5a
@@ -3335,5 +3365,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-set_diskette_current_cyl_:                   ; 0xf2baa LB 0x2d
+set_diskette_current_cyl_:                   ; 0xf2bbf LB 0x2d
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -3341,8 +3371,8 @@
     mov bl, al                                ; 88 c3
     cmp AL, strict byte 001h                  ; 3c 01
-    jbe short 02bbfh                          ; 76 0b
+    jbe short 02bd4h                          ; 76 0b
     push 00230h                               ; 68 30 02
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 51 ed
+    call 01922h                               ; e8 51 ed
     add sp, strict byte 00004h                ; 83 c4 04
     movzx ax, dl                              ; 0f b6 c2
@@ -3351,10 +3381,10 @@
     mov bx, ax                                ; 89 c3
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 3d ea
+    call 0160eh                               ; e8 28 ea
     lea sp, [bp-002h]                         ; 8d 66 fe
     pop bx                                    ; 5b
     pop bp                                    ; 5d
     retn                                      ; c3
-floppy_wait_for_interrupt_:                  ; 0xf2bd7 LB 0x21
+floppy_wait_for_interrupt_:                  ; 0xf2bec LB 0x21
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -3363,18 +3393,18 @@
     mov dx, strict word 0003eh                ; ba 3e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 01600h                               ; e8 1b ea
+    call 01600h                               ; e8 06 ea
     test AL, strict byte 080h                 ; a8 80
-    je short 02bedh                           ; 74 04
+    je short 02c02h                           ; 74 04
     and AL, strict byte 080h                  ; 24 80
-    jmp short 02bf2h                          ; eb 05
+    jmp short 02c07h                          ; eb 05
     sti                                       ; fb
     hlt                                       ; f4
     cli                                       ; fa
-    jmp short 02bdch                          ; eb ea
+    jmp short 02bf1h                          ; eb ea
     lea sp, [bp-002h]                         ; 8d 66 fe
     pop dx                                    ; 5a
     pop bp                                    ; 5d
     retn                                      ; c3
-floppy_wait_for_interrupt_or_timeout_:       ; 0xf2bf8 LB 0x46
+floppy_wait_for_interrupt_or_timeout_:       ; 0xf2c0d LB 0x46
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -3385,26 +3415,26 @@
     mov dx, strict word 00040h                ; ba 40 00
     mov ax, dx                                ; 89 d0
-    call 01600h                               ; e8 f9 e9
+    call 01600h                               ; e8 e4 e9
     test al, al                               ; 84 c0
-    jne short 02c10h                          ; 75 05
+    jne short 02c25h                          ; 75 05
     sti                                       ; fb
     xor cl, cl                                ; 30 c9
-    jmp short 02c34h                          ; eb 24
+    jmp short 02c49h                          ; eb 24
     mov dx, strict word 0003eh                ; ba 3e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 01600h                               ; e8 e7 e9
+    call 01600h                               ; e8 d2 e9
     mov cl, al                                ; 88 c1
     test AL, strict byte 080h                 ; a8 80
-    je short 02c2fh                           ; 74 10
+    je short 02c44h                           ; 74 10
     and AL, strict byte 07fh                  ; 24 7f
     movzx bx, al                              ; 0f b6 d8
     mov dx, strict word 0003eh                ; ba 3e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 e1 e9
-    jmp short 02c34h                          ; eb 05
+    call 0160eh                               ; e8 cc e9
+    jmp short 02c49h                          ; eb 05
     sti                                       ; fb
     hlt                                       ; f4
     cli                                       ; fa
-    jmp short 02bffh                          ; eb cb
+    jmp short 02c14h                          ; eb cb
     mov al, cl                                ; 88 c8
     lea sp, [bp-006h]                         ; 8d 66 fa
@@ -3414,5 +3444,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-floppy_reset_controller_:                    ; 0xf2c3e LB 0x2b
+floppy_reset_controller_:                    ; 0xf2c53 LB 0x2b
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -3436,5 +3466,5 @@
     and AL, strict byte 0c0h                  ; 24 c0
     cmp AL, strict byte 080h                  ; 3c 80
-    jne short 02c56h                          ; 75 f4
+    jne short 02c6bh                          ; 75 f4
     lea sp, [bp-004h]                         ; 8d 66 fc
     pop dx                                    ; 5a
@@ -3442,5 +3472,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-floppy_prepare_controller_:                  ; 0xf2c69 LB 0x81
+floppy_prepare_controller_:                  ; 0xf2c7e LB 0x81
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -3452,10 +3482,10 @@
     mov dx, strict word 0003eh                ; ba 3e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 01600h                               ; e8 85 e9
+    call 01600h                               ; e8 70 e9
     and AL, strict byte 07fh                  ; 24 7f
     movzx bx, al                              ; 0f b6 d8
     mov dx, strict word 0003eh                ; ba 3e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 85 e9
+    call 0160eh                               ; e8 70 e9
     mov dx, 003f2h                            ; ba f2 03
     in AL, DX                                 ; ec
@@ -3465,7 +3495,7 @@
     mov byte [bp-008h], al                    ; 88 46 f8
     test cx, cx                               ; 85 c9
-    je short 02c9ch                           ; 74 04
+    je short 02cb1h                           ; 74 04
     mov AL, strict byte 020h                  ; b0 20
-    jmp short 02c9eh                          ; eb 02
+    jmp short 02cb3h                          ; eb 02
     mov AL, strict byte 010h                  ; b0 10
     or AL, strict byte 00ch                   ; 0c 0c
@@ -3476,8 +3506,8 @@
     mov dx, strict word 00040h                ; ba 40 00
     mov ax, dx                                ; 89 d0
-    call 0160eh                               ; e8 5d e9
+    call 0160eh                               ; e8 48 e9
     mov dx, 0008bh                            ; ba 8b 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 01600h                               ; e8 46 e9
+    call 01600h                               ; e8 31 e9
     shr al, 006h                              ; c0 e8 06
     mov dx, 003f7h                            ; ba f7 03
@@ -3489,12 +3519,12 @@
     and AL, strict byte 0c0h                  ; 24 c0
     cmp AL, strict byte 080h                  ; 3c 80
-    jne short 02cc1h                          ; 75 f4
+    jne short 02cd6h                          ; 75 f4
     cmp byte [bp-008h], 000h                  ; 80 7e f8 00
-    jne short 02ce2h                          ; 75 0f
-    call 02bd7h                               ; e8 01 ff
+    jne short 02cf7h                          ; 75 0f
+    call 02bech                               ; e8 01 ff
     movzx bx, al                              ; 0f b6 d8
     mov dx, strict word 0003eh                ; ba 3e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 2c e9
+    call 0160eh                               ; e8 17 e9
     lea sp, [bp-006h]                         ; 8d 66 fa
     pop dx                                    ; 5a
@@ -3503,5 +3533,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-floppy_media_known_:                         ; 0xf2cea LB 0x43
+floppy_media_known_:                         ; 0xf2cff LB 0x43
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -3511,23 +3541,23 @@
     mov dx, strict word 0003eh                ; ba 3e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 01600h                               ; e8 06 e9
+    call 01600h                               ; e8 f1 e8
     mov ah, al                                ; 88 c4
     test bx, bx                               ; 85 db
-    je short 02d02h                           ; 74 02
+    je short 02d17h                           ; 74 02
     shr al, 1                                 ; d0 e8
     and AL, strict byte 001h                  ; 24 01
-    jne short 02d0ah                          ; 75 04
+    jne short 02d1fh                          ; 75 04
     xor ah, ah                                ; 30 e4
-    jmp short 02d26h                          ; eb 1c
+    jmp short 02d3bh                          ; eb 1c
     mov dx, 00090h                            ; ba 90 00
     test bx, bx                               ; 85 db
-    je short 02d14h                           ; 74 03
+    je short 02d29h                           ; 74 03
     mov dx, 00091h                            ; ba 91 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 01600h                               ; e8 e6 e8
+    call 01600h                               ; e8 d1 e8
     xor ah, ah                                ; 30 e4
     sar ax, 004h                              ; c1 f8 04
     and AL, strict byte 001h                  ; 24 01
-    je short 02d06h                           ; 74 e3
+    je short 02d1bh                           ; 74 e3
     mov ax, strict word 00001h                ; b8 01 00
     lea sp, [bp-004h]                         ; 8d 66 fc
@@ -3536,5 +3566,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-floppy_read_id_:                             ; 0xf2d2d LB 0x40
+floppy_read_id_:                             ; 0xf2d42 LB 0x40
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -3544,5 +3574,5 @@
     sub sp, strict byte 00008h                ; 83 ec 08
     mov bx, ax                                ; 89 c3
-    call 02c69h                               ; e8 2e ff
+    call 02c7eh                               ; e8 2e ff
     mov AL, strict byte 04ah                  ; b0 4a
     mov dx, 003f5h                            ; ba f5 03
@@ -3550,9 +3580,9 @@
     mov al, bl                                ; 88 d8
     out DX, AL                                ; ee
-    call 02bd7h                               ; e8 90 fe
+    call 02bech                               ; e8 90 fe
     xor si, si                                ; 31 f6
-    jmp short 02d50h                          ; eb 05
+    jmp short 02d65h                          ; eb 05
     cmp si, strict byte 00007h                ; 83 fe 07
-    jnl short 02d5ch                          ; 7d 0c
+    jnl short 02d71h                          ; 7d 0c
     mov dx, 003f5h                            ; ba f5 03
     in AL, DX                                 ; ec
@@ -3561,5 +3591,5 @@
     mov byte [bp+si-00eh], al                 ; 88 42 f2
     inc si                                    ; 46
-    jmp short 02d4bh                          ; eb ef
+    jmp short 02d60h                          ; eb ef
     test byte [bp-00eh], 0c0h                 ; f6 46 f2 c0
     db  00fh, 094h, 0c0h
@@ -3572,5 +3602,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-floppy_drive_recal_:                         ; 0xf2d6d LB 0x48
+floppy_drive_recal_:                         ; 0xf2d82 LB 0x48
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -3579,5 +3609,5 @@
     push dx                                   ; 52
     mov bx, ax                                ; 89 c3
-    call 02c69h                               ; e8 f1 fe
+    call 02c7eh                               ; e8 f1 fe
     mov AL, strict byte 007h                  ; b0 07
     mov dx, 003f5h                            ; ba f5 03
@@ -3585,10 +3615,10 @@
     mov al, bl                                ; 88 d8
     out DX, AL                                ; ee
-    call 02bd7h                               ; e8 53 fe
+    call 02bech                               ; e8 53 fe
     test bx, bx                               ; 85 db
-    je short 02d8fh                           ; 74 07
+    je short 02da4h                           ; 74 07
     or AL, strict byte 002h                   ; 0c 02
     mov cx, 00095h                            ; b9 95 00
-    jmp short 02d94h                          ; eb 05
+    jmp short 02da9h                          ; eb 05
     or AL, strict byte 001h                   ; 0c 01
     mov cx, 00094h                            ; b9 94 00
@@ -3596,9 +3626,9 @@
     mov dx, strict word 0003eh                ; ba 3e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 6e e8
+    call 0160eh                               ; e8 59 e8
     xor bx, bx                                ; 31 db
     mov dx, cx                                ; 89 ca
     mov ax, strict word 00040h                ; b8 40 00
-    call 0160eh                               ; e8 64 e8
+    call 0160eh                               ; e8 4f e8
     mov ax, strict word 00001h                ; b8 01 00
     lea sp, [bp-006h]                         ; 8d 66 fa
@@ -3608,5 +3638,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-floppy_media_sense_:                         ; 0xf2db5 LB 0xf0
+floppy_media_sense_:                         ; 0xf2dca LB 0xf0
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
